<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
 	xmlns:b="http://bootsfaces.net/ui"
	xmlns:p="http://primefaces.org/ui">

<h:head rendered="#{mbAccount.utilisateur.role == 'Masseur'}">
	<title><ui:insert name="title">Masseur</ui:insert></title>
	<h:outputStylesheet name="#{mbAccount.cssSheet}" />
	<ui:insert name="CSS"></ui:insert>
	<script src="https://kit.fontawesome.com/d291cdd1e3.js" crossorigin="anonymous"></script>
	<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
    <script>
    	$(document).ready(function(){
    		$(".hamburger .fas").click(function(){
		    	$(".wrapper").addClass("active")
			})

			$(".wrapper .sidebar .close").click(function(){
		    	$(".wrapper").removeClass("active")
			})
    	})
    	var btn = document.querySelector('.btn');
		if (btn) {
		    btn.addEventListener('click', onButtonClick);
		}
		
		function onButtonClick(evt) {
		    console.log('the click event is trigger');
		}
    </script>
 </h:head>

<h:body rendered="#{mbAccount.utilisateur.role == 'Masseur'}">

	<!-- <f:if test="${mbAccount.utilisateur.login != 'steph' }"></f:if>  A tester pour plus tard -->
	<div class="wrapper">
	    <div class="sidebar">
	      <div class="bg_shadow"></div>
	        <div class="sidebar__inner">
	           <div class="close">
	          <i class="fas fa-times"></i>
	        </div>
	        <div class="profile_info">
	            <div class="profile_img">
	             <h:graphicImage library="pics" name="#{mbAccount.masseur.photo}" alt="smiley.jpeg"/>
	            </div>
	            <div class="profile_data">
	                <p class="name">#{mbAccount.utilisateur.login}</p>  
	                <p class="role">#{mbAccount.role}</p>
	                <div class="btn"><a href="/AppNomadsWeb/masseur/ConsulterMasseur.xhtml">Mettre à jour profil</a></div>
	            </div>
	        </div>
	        <ul class="siderbar_menu">
						<li><a href="/AppNomadsWeb/masseur/DashbordMasseur.xhtml"><span><i class="fa fa-bar-chart"></i></span><br></br> <span>Dashboard</span></a></li>
						<li><a href="/_partial/_masseur/listePrestations.xhtml"><span><i class="fa fa-calendar-alt"></i></span><br></br><span>Prestations</span></a></li>
						<li><a href="#"><span><i class="fa fa-envelope"></i></span><br></br><span>Messages</span></a></li>
						<li><a href="#"><span><i class="fa fa-bell"></i></span><br></br><span>Notifications</span></a></li>
						<li><a href="#"><span><i class="fa fa-cog"></i></span><br></br><span>Aide</span></a></li>
	        </ul>
	      </div>
	    </div>
	    <div class="main_container">
			<div class="top_navbar">
				<div class="hamburger">
					<div class="hamburger__inner">
						<i class="fas fa-bars"></i>
					</div>
				</div>
				
						<ui:insert name="naving">
							<!-- Links -->
						</ui:insert>
	         <ul class="right_bar">
	
						<li>
							<i class="fas fa-sign-out-alt" onclick="ConfirmMessage()">
								<script type="text/javascript">
	  							   function ConfirmMessage() { 
	  							       if (confirm("Voulez-vous quitter cette page ?")) { 
	  							           // Clic sur OK -->
							    	   window.location.replace('../Login.xhtml'); 
	 							       } 
	  							   }  
	 							</script>
							</i>
						</li>
			 </ul>
			 <ui:insert name="content_navbar"></ui:insert>
	
		 </div>
		 <div id="root_content">
			<ui:insert name="content_page">
				<!-- Content -->
			</ui:insert>
		 </div>
	</div>
	</div>
	<ui:insert name="script">
		<!-- Content -->
	</ui:insert>
</h:body>
</html>